## hubzero-submit-condor 8.6.10-1+deb8

=== Makefile ===
# @package      hubzero-submit-condor
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/Apache-2.0 Apache2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETC=$(DESTDIR)/etc
VARCONDOR=$(DESTDIR)/var/condor

DISTRIBUTION := $(shell lsb_release -i -s)
MAJORVERSION := $(shell lsb_release -rs | cut -d . -f 1)

CONDORVERSION := 8.6.10
HUBHOSTNAME   := $(shell hostname --fqdn)
RANDOMLOCKID  := $(shell tr -dc "[:digit:]" < /dev/urandom | head -c 15)

ifeq ($(DISTRIBUTION),Debian)
CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_Debian$(MAJORVERSION)-stripped.tar.gz 
else
CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_RedHat$(MAJORVERSION)-stripped.tar.gz 
endif

all:
	@true

install:
	install --mode 0755 -d $(VARCONDOR)/Condor/$(CONDORVERSION)
	tar -C $(VARCONDOR)/Condor/$(CONDORVERSION) --strip-components 1 -xvpf $(CONDORTARBALL) 
	install --mode 0755 -D condor_grid $(ETC)/init.d/condor_grid
	install --mode 0755 -d $(VARCONDOR)/Grid/etc
	install --mode 0755 -d $(VARCONDOR)/Grid/etc/sysconfig
	install --mode 1777 -d $(VARCONDOR)/Grid/execute
	install --mode 1777 -d $(VARCONDOR)/Grid/log
	install --mode 0755 -d $(VARCONDOR)/Grid/spool
	install --mode 1777 -d $(VARCONDOR)/Grid/tmp
	install --mode 0644 -D condor.in $(VARCONDOR)/condor.in
	install --mode 0644 -D condor_config.in $(VARCONDOR)/condor_config.in
	install --mode 0644 -D condor_config.local.in $(VARCONDOR)/condor_config.local.in

uninstall:
	rm -fr $(VARCONDOR)
	rm -fr $(ETC)/init.d/condor_grid

postrm:
	deluser condor ||  true
	groupdel condor || true

postinst:
	(getent passwd condor > /dev/null 2>&1) || adduser --system --group --force-badname --home /var/condor \
                                                      --shell /bin/bash --disabled-password --gecos Condor condor
	$(eval CONDORUID := $(shell id --user  condor 2> /dev/null))
	$(eval CONDORGID := $(shell id --group condor 2> /dev/null))
	chown condor:condor /var/condor
	chown condor:condor /var/condor/Condor
	chown -R condor:condor /var/condor/Condor/$(CONDORVERSION)
	chown condor:condor /var/condor/Grid/etc
	chown condor:condor /var/condor/Grid/etc/sysconfig
	chown condor:condor /var/condor/Grid/execute
	chown condor:condor /var/condor/Grid/log
	chown condor:condor /var/condor/Grid/spool
	chown condor:condor /var/condor/Grid/tmp
	sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" /var/condor/condor.in > /var/condor/Grid/etc/sysconfig/condor
	if [ ! -f /var/condor/Grid/etc/condor_config ]; then \
	sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" /var/condor/condor_config.in > /var/condor/Grid/etc/condor_config ; \
	else \
	sed -e "s/8.0.7/$(CONDORVERSION)/" \
            -e "s/8.0.6/$(CONDORVERSION)/" \
            -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config ; \
	fi
	if [ ! -f /var/condor/Grid/etc/condor_config.local ]; then \
	sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" \
            -e "s/@HUBHOSTNAME@/$(HUBHOSTNAME)/" \
            -e "s/@CONDORUID@/$(CONDORUID)/" \
            -e "s/@CONDORGID@/$(CONDORGID)/" \
            -e "s/@RANDOMLOCKID@/$(RANDOMLOCKID)/" /var/condor/condor_config.local.in > /var/condor/Grid/etc/condor_config.local ; \
	else \
	sed -e "s/8.0.7/$(CONDORVERSION)/" \
            -e "s/8.0.6/$(CONDORVERSION)/" \
            -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config.local ; \
	fi
	chown condor:condor /var/condor/Grid/etc/sysconfig/condor
	chown condor:condor /var/condor/Grid/etc/condor_config
	chown condor:condor /var/condor/Grid/etc/condor_config.local
	chmod 1777 $(VARCONDORDIR)/Grid/execute
	chmod 1777 $(VARCONDORDIR)/Grid/log
	chmod 1777 $(VARCONDORDIR)/Grid/tmp
	insserv condor_grid
	insserv

clean:
	rm -f condor condor_config condor_config.local

.PHONY: all install uninstall postinst clean

=== debian/changelog ===
hubzero-submit-condor (8.6.10-1+deb8) unstable; urgency=low

  * minor packaging updates
  * update license that were wrong on a few packaging files
  * Update to HTCondor version 8.6.10

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 13:33:50 -0400

hubzero-submit-condor (8.2.9-9) unstable; urgency=low

  * normalize rpm build scripts
  * update debian build scripts for new build infrastructure

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 13 Jun 2017 11:05:05 -0400

=== debian/control ===
Source: hubzero-submit-condor
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-condor
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, python, adduser, libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libldap-2.4-2 (>= 2.4.7), libstdc++6 (>= 4.4.0), libuuid1 (>= 2.16), libvirt0 (>= 0.5.0), libx11-6, libxml2 (>= 2.7.4), zlib1g (>= 1:1.1.4)
Description: HUBzero condor build for hubzero-submit
 HUBzero configuration of condor for submit infrastructure

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-submit-condor
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/Apache-2.0 Apache2
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	cp $(CURDIR)/condor_grid $(CURDIR)/debian/condor_grid.init
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	rm -f $(CURDIR)/debian/condor_grid.init
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-submit-condor install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a --name=condor_grid
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	#dh_shlibdeps -a -Xlib/native
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#binary: binary-indep 
binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-submit-condor 8.6.10-2+deb7

=== debian/changelog ===
hubzero-submit-condor (8.6.10-2+deb7) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400

hubzero-submit-condor (8.6.10-1) unstable; urgency=low

  * minor packaging updates
  * update license that were wrong on a few packaging files
  * Update to HTCondor version 8.6.10

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 13:33:50 -0400

=== debian/control ===
Source: hubzero-submit-condor
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-submit-condor
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, python, adduser, libc6 (>= 2.11), libgcc1 (>= 1:4.1.1), libldap-2.4-2 (>= 2.4.7), libstdc++6 (>= 4.4.0), libuuid1 (>= 2.16), libvirt0 (>= 0.5.0), libx11-6, libxml2 (>= 2.7.4), zlib1g (>= 1:1.1.4), libgomp1
Description: HUBzero condor build for hubzero-submit
 HUBzero configuration of condor for submit infrastructure

## hubzero-submit-condor 8.6.10-2+deb8

=== debian/changelog ===
hubzero-submit-condor (8.6.10-2+deb8) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400

## hubzero-submit-condor 8.6.10-3+deb7

=== debian/changelog ===
hubzero-submit-condor (8.6.10-3+deb7) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 16:21:51 -0400

hubzero-submit-condor (8.6.10-2) unstable; urgency=low

  * add libgomp dependency

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 13 Jun 2018 16:25:15 -0400

## hubzero-submit-condor 8.6.10-3+deb8

=== Makefile ===
--- 
+++ 
@@ -80,7 +80,8 @@
 	if [ ! -f /var/condor/Grid/etc/condor_config ]; then \
 	sed -e "s/@CONDORVERSION@/$(CONDORVERSION)/" /var/condor/condor_config.in > /var/condor/Grid/etc/condor_config ; \
 	else \
-	sed -e "s/8.0.7/$(CONDORVERSION)/" \
+	sed -e "s/8.2.9/$(CONDORVERSION)/" \
+	    -e "s/8.0.7/$(CONDORVERSION)/" \
             -e "s/8.0.6/$(CONDORVERSION)/" \
             -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config ; \
 	fi
@@ -91,7 +92,8 @@
             -e "s/@CONDORGID@/$(CONDORGID)/" \
             -e "s/@RANDOMLOCKID@/$(RANDOMLOCKID)/" /var/condor/condor_config.local.in > /var/condor/Grid/etc/condor_config.local ; \
 	else \
-	sed -e "s/8.0.7/$(CONDORVERSION)/" \
+	sed -e "s/8.2.9/$(CONDORVERSION)/" \
+	    -e "s/8.0.7/$(CONDORVERSION)/" \
             -e "s/8.0.6/$(CONDORVERSION)/" \
             -e "s/7.6.6/$(CONDORVERSION)/" --in-place /var/condor/Grid/etc/condor_config.local ; \
 	fi

=== debian/changelog ===
hubzero-submit-condor (8.6.10-3+deb8) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 21 Jun 2018 16:21:51 -0400

## hubzero-submit-condor 8.6.10-5+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-submit-condor
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/Apache-2.0 Apache2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -18,7 +17,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc
@@ -32,7 +31,13 @@
 RANDOMLOCKID  := $(shell tr -dc "[:digit:]" < /dev/urandom | head -c 15)
 
 ifeq ($(DISTRIBUTION),Debian)
+# We don't have a binary for 8.6.10 for Debian 9, for now we cheat a little
+# here.
+ifeq ($(MAJORVERSION),9)
+CONDORTARBALL := condor-8.6.13-x86_64_Debian9-stripped.tar.gz 
+else
 CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_Debian$(MAJORVERSION)-stripped.tar.gz 
+endif
 else
 CONDORTARBALL := condor-$(CONDORVERSION)-x86_64_RedHat$(MAJORVERSION)-stripped.tar.gz 
 endif

=== debian/changelog ===
hubzero-submit-condor (8.6.10-5+deb7) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:04:21 -0700

hubzero-submit-condor (8.6.10-4) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 12:14:38 -0700

hubzero-submit-condor (8.6.10-3) unstable; urgency=low

  * add 8.2.9 upgrade postinst

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 21 Jun 2018 16:21:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hubzero-submit-condor
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
-Build-Depends: debhelper (>= 8.0.0), openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
+Build-Depends: debhelper (>= 8.0.0), openjdk-8-jdk | openjdk-7-jdk | openjdk-6-jdk, libvirt-dev
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-submit-condor
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/Apache-2.0 Apache2
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -20,7 +19,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-submit-condor 8.6.10-5+deb9

=== debian/changelog ===
hubzero-submit-condor (8.6.10-5+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 20 Aug 2020 16:04:21 -0700
